package edu.nwu.ccl.nlogo.extensions.texas ;

public class ReadFile
	implements org.nlogo.api.Reporter
{
	public org.nlogo.api.Reporter newInstance( String name )
	{
		return new ReadFile() ;
	}

	public String getAgentClassString()
	{
		return "OTP" ;
	}

	public Object report( org.nlogo.api.Argument args[] , org.nlogo.api.Context context  )
	    throws org.nlogo.api.ExtensionException , org.nlogo.api.LogoException
	{
		try {
			return IOUtils.readFile( context.attachCurrentDirectory(
										 args[0].getString() ) ) ;
		}
		catch ( java.net.MalformedURLException ex )
		{
			throw new org.nlogo.api.ExtensionException
				( args[0].getString() + " is not a valid path name: " + ex.getMessage() );
		}
	}

	public org.nlogo.api.Syntax getSyntax()
	{
		int[] right = { org.nlogo.api.Syntax.TYPE_STRING } ;
		int ret = org.nlogo.api.Syntax.TYPE_STRING ;
		return org.nlogo.api.Syntax.reporterSyntax( right , ret ) ;
	}
}
