package edu.nwu.ccl.nlogo.extensions.texas ;

public class ReadURL
	implements org.nlogo.api.Reporter
{
	public org.nlogo.api.Reporter newInstance( String name )
	{
		return new ReadURL() ;
	}

	public String getAgentClassString()
	{
		return "OTP" ;
	}

	public Object report( org.nlogo.api.Argument args[] , org.nlogo.api.Context context )
	    throws org.nlogo.api.ExtensionException , org.nlogo.api.LogoException
	{
		try
		{
			return IOUtils.readURL( args[0].getString() ) ;
		}
		catch( java.io.IOException ex )
		{
			// not optimal, but maybe the best solution available
			// given that NetLogo doesn't have try/catch or "carefully"
			// or anything like that - ST 11/26/03
			return Boolean.FALSE ;
		}
	}

	public org.nlogo.api.Syntax getSyntax()
	{
		int[] right = { org.nlogo.api.Syntax.TYPE_STRING } ;
		int ret = org.nlogo.api.Syntax.TYPE_STRING ;
		return org.nlogo.api.Syntax.reporterSyntax( right , ret ) ;
	}
}
